# Record Class WsPongMessage

java.lang.Object
java.lang.Record
org.apache.tomcat.websocket.WsPongMessage

Record Components:
  `applicationData` - the application data buffer

All Implemented Interfaces:
  `PongMessage`

public record WsPongMessage(ByteBuffer applicationData) extends Record implements PongMessage
WebSocket pong message containing application data.

## Constructor Summary

Constructors
Constructor
Description
`WsPongMessage(ByteBuffer applicationData)`
Creates a pong message, copying the application data.

## Method Summary

Modifier and Type
Method
Description
`ByteBuffer`
`applicationData()`
Returns the value of the `applicationData` record component.
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`ByteBuffer`
`getApplicationData()`
Get the payload of the Pong message.
`final int`
`hashCode()`
Returns a hash code value for this object.
`final String`
`toString()`
Returns a string representation of this record class.

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WsPongMessage

public WsPongMessage(ByteBuffer applicationData)
Creates a pong message, copying the application data.

Parameters:
  `applicationData` - the application data buffer

## Method Details

### getApplicationData

public ByteBuffer getApplicationData()
Description copied from interface: `jakarta.websocket.PongMessage`
Get the payload of the Pong message.

Specified by:
  `getApplicationData` in interface `PongMessage`
Returns:
  The payload of the Pong message.

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.

### applicationData

public ByteBuffer applicationData()
Returns the value of the `applicationData` record component.

Returns:
  the value of the `applicationData` record component